## scim 1.4.14

=== debian/changelog ===
scim (1.4.14-6) unstable; urgency=low

  [ William Grant ]
  * control: build with dh-autoreconf instead of autotools-dev for new libtool

  [ Rolf Leggewie ]
  * fix spelling mistake in scim-im-agent manpage
  * control: bump standards version to 3.9.5. no further changes.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 08 Feb 2014 04:06:12 +0100

scim (1.4.14-5) unstable; urgency=low

  * add scim-im-agent man page

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 16 Jun 2013 23:55:33 +0900

scim (1.4.14-4) unstable; urgency=low

  [ Rolf Leggewie ]
  * control: drop obsolete DMUA field

  [ Tz-Huan Huang ]
  * patches: backport upstream fix to one compiler warning

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 15 Jun 2013 18:02:36 +0900

scim (1.4.14-3) unstable; urgency=low

  * control:
    - update info about binary package incompatibilities. Closes: #680988
    - set scim-clutter-immodule to MA:same
    - drop inactive co-maintainer
    - bump to policy 3.9.4
  * scim-dev-doc:
    - let libjs-jquery provide jquery.js instead of shipping our own
    - stop shipping private copy of FreeSans.ttf
  * copyright: update my copyright to 2013

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 11 May 2013 18:25:00 +0800

scim (1.4.14-2) unstable; urgency=low

  * release 1.4.14-1x1 to unstable

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 15 Jul 2012 12:04:35 +0800

scim (1.4.14-1x1) experimental; urgency=low

  * scim-clutter-immodule: install files from multi-arch paths.
    Closes: #679724

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 04 Jul 2012 12:35:06 +0800

scim (1.4.14-1) unstable; urgency=low

  [ Rolf Leggewie ]
  * new upstream release 1.4.14
    - drop 32_scim-1.4.8-fix-dlopen.patch which has landed upstream
  * bump compat level to 9
  * debian/control: add Toni Mueller as co-maintainer
    Welcome aboard!

  [ Tz-Huan Huang ]
  * start shipping a couple of newly introduced im-module packages
  * debian/rules:
    - simplify dh_auto_install override where upstream changes allow this
    - drop -fpermissive from CXXFLAGS, fixed upstream
  * debian/README.*: update the documentation

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 30 Jun 2012 11:21:42 +0800
