## scim 1.4.15

=== debian/changelog ===
scim (1.4.15-6) unstable; urgency=medium

  [ Chris Boot ]
  * scim.prerm: stop failing on two valid arguments. Closes: #813260

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 21 Feb 2016 20:33:29 +0800

scim (1.4.15-5) unstable; urgency=medium

  [ Rolf Leggewie ]
  * control: drop unused Pre-Depends line from a number of binary pkgs

  [ Matthias Klose ]
  * Rename libscim8c2a to libscim8v5 for the libstdc++6 triggered ABI
    change. Closes: #791275.
    - Add Conflict/Replaces to the old package as necessary
    - Adjust lintian override files as necessary

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 06 Aug 2015 23:06:52 +0800

scim (1.4.15-4) experimental; urgency=medium

  [ Tz-Huan Huang ]
  * control: multi-archify the scim-im-agent package

  [ Rolf Leggewie ]
  * postinst: stop special-casing a long-gone package version

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 10 Nov 2014 13:41:33 +0800

scim (1.4.15-3) unstable; urgency=medium

  * prerm: stop calling "ua --remove" on upgrade and deconfigure. See #71621

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 08 Nov 2014 22:54:07 +0800

scim (1.4.15-2) unstable; urgency=medium

  * no-change rebuild

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 25 Oct 2014 13:25:35 +0900

scim (1.4.15-1) unstable; urgency=medium

  [ Tz-Huan Huang ]
  * new upstream release 1.4.15
    - build successfully with clang instead of gcc. Closes: #750115
    - drop 03_backport_964b2221.patch which has landed upstream
  * debian/control:
    - bump to policy 3.9.6
    - update Homepage
    - add intltool and autopoint to Build-Depends
  * debian/rules:
    - use scim's bootstrap script for dh_autoreconf
    - make sure that clutter-immodule continues to be built

  [ Rolf Leggewie ]
  * patches: backport 88fbabed7dc2 to disable subdir-objects.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 23 Oct 2014 04:38:37 +0900
