=== debian/control ===
--- 
+++ 
@@ -3,20 +3,19 @@
 Priority: optional
 Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
 Uploaders: Tz-Huan Huang <tzhuan@gmail.com>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: dpkg-dev (>= 1.14.6), debhelper (>= 9),
- dh-autoreconf, pkg-config, x11proto-core-dev, libx11-dev,
+ dh-autoreconf, intltool, autopoint, pkg-config, x11proto-core-dev, libx11-dev,
  libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev, libgtk-3-dev | libgtk2.0-dev (<< 2.21),
  libqt4-dev, libclutter-1.0-dev, libclutter-imcontext-0.1-dev,
- libltdl-dev, intltool, doxygen
-Homepage: http://www.scim-im.org/
+ libltdl-dev, doxygen
+Homepage: https://sourceforge.net/projects/scim/
 Vcs-git: git://git.debian.org/git/collab-maint/scim.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/scim.git
 
 Package: scim
 Architecture: any
 Multi-Arch: foreign
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: scim-gtk-immodule, im-config | im-switch, scim-im-agent
 Suggests: scim-uim, scim-pinyin, scim-hangul, scim-chewing, scim-m17n, scim-prime, scim-anthy, scim-skk, scim-canna, scim-tables-additional, scim-tables-ja, scim-tables-ko, scim-tables-zh, scim-thai
@@ -51,12 +50,14 @@
  For development on SCIM platform, please see the description of scim-dev
  package.
 
-Package: libscim8c2a
+Package: libscim8v5
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libscim8c2a
+Replaces: libscim8c2a
 Description: library for SCIM platform
  SCIM (Smart Common Input Method) is an input method (IM) platform.
  .
@@ -68,8 +69,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libscim8c2a (= ${binary:Version}), libx11-dev, libgtk2.0-dev,
+Depends: libscim8v5 (= ${binary:Version}), libx11-dev, libgtk2.0-dev,
  libgtk-3-dev | libgtk2.0-dev (<< 2.21), libpango1.0-dev, ${misc:Depends}
 Description: development library for SCIM platform
  SCIM (Smart Common Input Method) is an input method (IM) platform.
@@ -92,7 +92,6 @@
 Package: scim-gtk-immodule
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: scim (= ${binary:Version}), scim-im-agent (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
 Provides: scim-gtk2-immodule, scim-gtk-immodule
@@ -115,7 +114,6 @@
 Package: scim-qt-immodule
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: scim (= ${binary:Version}), scim-im-agent (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
 Provides: scim-bridge-client-qt4
@@ -136,7 +134,6 @@
 Package: scim-clutter-immodule
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: scim (= ${binary:Version}), scim-im-agent (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
 Enhances: scim
@@ -154,7 +151,7 @@
 
 Package: scim-im-agent
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: foreign
 Depends: scim-modules-socket (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: scim-bridge-agent
 Conflicts: scim-bridge-agent
@@ -171,7 +168,6 @@
 Package: scim-modules-socket
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Enhances: scim
 Description: socket modules for SCIM platform
