=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 	dh $@ --with autoreconf
 
 override_dh_autoreconf:
-	AUTOPOINT="intltoolize --automake --copy" dh_autoreconf
+	./bootstrap
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-clutter-immodule
 
 override_dh_auto_build:
 	$(MAKE) docs
@@ -33,11 +36,11 @@
 
 	dh_install
 	sed -i -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' debian/scim/etc/X11/xinit/xinput.d/scim-immodule
-	LD_LIBRARY_PATH=debian/libscim8c2a/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
+	LD_LIBRARY_PATH=debian/libscim8v5/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
 		dh_gtkmodules -p scim-gtk-immodule
 
 override_dh_makeshlibs:
-	dh_makeshlibs -p libscim8c2a -V "libscim8c2a (>= 1.4)"
+	dh_makeshlibs -p libscim8v5 -V "libscim8v5 (>= 1.4)"
 
 override_dh_shlibdeps:
-	dh_shlibdeps -l debian/libscim8c2a/usr/lib -L libscim8c2a
+	dh_shlibdeps -l debian/libscim8v5/usr/lib -L libscim8v5
