=== debian/watch ===
# debian/watch file for scim
# written by Ming Hua on 2006.11.25

# format version number
version=3
# special URL parsed as qa.debian.org redirector for sourceforge
http://sf.net/scim/scim-(1\.4\.[\d\.]*)\.tar\.gz debian uupdate
