## scim 1.4.16

=== debian/changelog ===
scim (1.4.16-3) unstable; urgency=medium

  [ Santiago Vila ]
  * scimplify build process and make it more robust. Closes: #806105
    - Drop unnecessary use of "set -e" in debian/rules.
    - Drop unnecessary use of debian/*.install.in files.
    - Rename override_dh_install to override_dh_install-arch
      for dpkg-buildpackage -A to work

  [ Rolf Leggewie ]
  * control:
    - add Benda to Debian Scim Maintainers
      a warm welcome to the team!
    - update to latest Debian standard 3.9.8. No further changes.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 23 May 2016 15:25:27 +0800

scim (1.4.16-2) unstable; urgency=medium

  [ Tz-Huan Huang ]
  * patches
    - backport 790a0d15be15 to fix the black boxes issue. Closes: #675715

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 16 May 2016 09:24:27 +0800

scim (1.4.16-1) unstable; urgency=medium

  [ Tz-Huan Huang ]
  * new Upstream release 1.4.16
  * patches:
    - drop disable-subdir-objects after pushing it upstream
    - rebase 01_scim_config.patch to newest upstream code
    - backport 6ac4af3bfd36 to fix text drawing bug for gtk >= 3.20. Closes: #820746

  [ Rolf Leggewie ]
  * control: update to Debian Standard 3.9.7. No further changes.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 23 Apr 2016 21:31:14 +0200
