=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
-Uploaders: Tz-Huan Huang <tzhuan@gmail.com>
-Standards-Version: 3.9.6
+Uploaders: Tz-Huan Huang <tzhuan@gmail.com>, Benda Xu <heroxbd@gentoo.org>
+Standards-Version: 3.9.8
 Build-Depends: dpkg-dev (>= 1.14.6), debhelper (>= 9),
  dh-autoreconf, intltool, autopoint, pkg-config, x11proto-core-dev, libx11-dev,
  libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev, libgtk-3-dev | libgtk2.0-dev (<< 2.21),
