=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev, libgtk-3-dev | libgtk2.0-dev (<< 2.21),
  libqt4-dev, libclutter-1.0-dev, libclutter-imcontext-0.1-dev,
  libltdl-dev, doxygen
-Homepage: https://sourceforge.net/projects/scim/
+Homepage: https://github.com/scim-im/scim
 Vcs-git: git://git.debian.org/git/collab-maint/scim.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/scim.git
