=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
 Uploaders: Tz-Huan Huang <tzhuan@gmail.com>, Benda Xu <heroxbd@gentoo.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Build-Depends: dpkg-dev (>= 1.14.6), debhelper (>= 9),
  dh-autoreconf, intltool, autopoint, pkg-config, x11proto-core-dev, libx11-dev,
  libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev, libgtk-3-dev | libgtk2.0-dev (<< 2.21),
  libqt4-dev, libclutter-1.0-dev, libclutter-imcontext-0.1-dev,
  libltdl-dev, doxygen
 Homepage: https://github.com/scim-im/scim
-Vcs-git: git://git.debian.org/git/collab-maint/scim.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/scim.git
+Vcs-Browser: https://github.com/leggewie-DM/scim
+Vcs-Git: git@github.com:leggewie-DM/scim.git
 
 Package: scim
 Architecture: any
