## scim 1.4.18+git20211204

=== debian/changelog ===
scim (1.4.18+git20211204-0.5) unstable; urgency=medium

  * Non-maintainer upload
  * scim-gtk-immodule: Avoid direct dependency on gtk2, gtk3, or gtk4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Feb 2026 13:38:59 -0500

scim (1.4.18+git20211204-0.4) unstable; urgency=medium

  * Team upload.
  * Non-maintainer upload.
  * d/watch:
     - Version=5
     - Use Git mode to really catch what is packaged
  * Maintain package in Debian team on Salsa
    Closes: #1125197
  * ACK NMU 1.4.18-2.1 (Closes: #901056)
  * debhelper-compat = 13
  * Adapt path doc-base to new location chosen by dehhelper-compat 13
  * d/copyright:
     - DEP5
     - extensive review
  * Fix clean target
    Closes: #1048318
  * Standards-Version: 4.7.3 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 21 Jan 2026 14:38:14 +0100

scim (1.4.18+git20211204-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * add d/patches/071bf29d5125343d1f4fb7d024b22342171a5174.patch to fix FTBFS
    with GCC 15 (Closes: #1097855)
  * d/control: s#pkg-config#pkgconf# while I'm at it

 -- Florian Ernst <florian@debian.org>  Mon, 29 Dec 2025 18:10:04 +0100

scim (1.4.18+git20211204-0.2) unstable; urgency=medium

  [ tzhuan ]
  * Disable clutter-immodule build. Closes: #1018138

  [ Boyuan Yang ]
  * Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Jun 2023 17:01:00 -0400

scim (1.4.18+git20211204-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream git HEAD snapshot.
  * debian/patches/03_scim_spelling_fixes.patch: Dropped, merged upstream.
  * debian/control: Enable GTK4 immodule build. (Closes: #1003691)
  * debian/rules: Use "dh_missing --fail-missing".
  * debian/not-installed: Explicitly list files not installed.
  * Move debian/TODO.Debian to debian/TODO (lintian).

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Jan 2022 14:11:59 -0500

scim (1.4.18-2.2) unstable; urgency=medium

  * Non-maintainer upload. I took just one part of Tz-Hua's merge request
    because there was already an NMU in the archive. See #875250 for more
    details.

  [ Tz-Huan Huang ]
  * Disable qt-immodules build. Closes: #875258, Closes: #875250

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 28 Dec 2019 20:45:08 -0300

scim (1.4.18-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/changelog:
    - Remove trailing whitespace.
  * debian/control:
    - Use a recommended URI format in the Vcs-Git field.
    - Update the package description of scim-gtk-immodule.
    - Mark scim-dev-doc Multi-Arch: foreign (Closes: #901051).
  * debian/patches:
    - Add a patch to detect whether certain xsl files exist on the build
      machine, instead of the host machine. Thanks to Helmut Grohne for
      supplying the patch (Closes: #876162).
    - Add a patch fixing several spelling errors.
  * debian/rules:
    - Add 'hardening=+all' to DEB_BUILD_MAINT_OPTIONS.
    - Drop obsolete call to dh_gtkmodules (Closes: #897987).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 19 Jun 2018 23:15:00 +1000
