=== debian/control ===
Source: scim
Standards-Version: 4.7.3
Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
Uploaders:
 Tz-Huan Huang <tzhuan@gmail.com>,
 Benda Xu <heroxbd@gentoo.org>,
Section: utils
Build-Depends:
 debhelper-compat (= 13),
 intltool,
 autopoint,
 pkgconf,
 x11proto-core-dev,
 libx11-dev,
 libpango1.0-dev,
 libglib2.0-dev,
 libgtk2.0-dev,
 libgtk-3-dev,
 libltdl-dev,
 doxygen,
 libgtk-4-dev,
Vcs-Browser: https://salsa.debian.org/debian/scim
Vcs-Git: https://salsa.debian.org/debian/scim.git
Homepage: https://github.com/scim-im/scim

Package: scim
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 scim-gtk-immodule,
 im-config | im-switch,
 scim-im-agent,
Suggests:
 scim-uim,
 scim-pinyin,
 scim-hangul,
 scim-chewing,
 scim-m17n,
 scim-prime,
 scim-anthy,
 scim-skk,
 scim-tables-additional,
 scim-tables-ja,
 scim-tables-ko,
 scim-tables-zh,
 scim-thai,
Description: smart common input method platform
 Smart Common Input Method (SCIM) is an input method (IM) platform.  Input
 methods are needed to enter complex characters in many non-latin languages.
 SCIM provides a common platform for various plugin modules and independent IM
 programs, as well as a set of modules and programs on its own.  It is highly
 modularized and exposes abstract interfaces, so that plugin modules with
 different functions can easily communicate with each other.  The currently
 supported module types are configuration, IM engine, front end, filter, and
 setup GUI.
 .
 SCIM achieves the communication between IM engines and front ends through
 both shared library linking and server/client mode.  It supports XIM
 protocol, as well as GTK IM module.
 .
 This package is the main binary package of SCIM.  It includes: the main
 program scim (GTK based) and other support programs; simple configuration
 module, X11 front end module, rawcode IM engine module,
 simplified/traditional Chinese conversion filter module, and their
 corresponding setup GUI modules; GTK panel and its setup GUI module; and a
 GTK based setup tool.
 .
 SCIM is a well accepted platform and features various input method engines
 for many languages.  In Debian you can find the following separately packaged
 IMs useful: scim-tables-{additional,ja,ko,zh}, scim-pinyin, scim-uim,
 scim-m17n, scim-chewing, scim-anthy, scim-canna, scim-prime, and scim-skk.
 GTK users would also find package scim-gtk-immodule useful for GTK IM
 module support.
 .
 For development on SCIM platform, please see the description of scim-dev
 package.

Package: libscim8v5
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Conflicts:
 libscim8c2a,
Replaces:
 libscim8c2a,
Description: library for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package provides runtime libraries for SCIM platform.
 .
 For more information about SCIM, please see the description of scim package.

Package: libscim-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libscim8v5 (= ${binary:Version}),
 libx11-dev,
 libgtk-3-dev,
 libpango1.0-dev,
 ${misc:Depends},
Description: development library for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package provides development libraries on SCIM platform, including the
 header files and static libraries.  The development documentations can be
 found in the scim-dev-doc package.
 .
 SCIM can be used as a dynamically loaded library on a single machine, or as a
 server/client model through socket in a network environment.  As a component
 of the system, SCIM can work with existing IM framework such as XIM or IIIMF
 (in progress), as well as using client specific IM interface, such as GTK
 IM module.  SCIM provides an IM application, scim, which use various IM
 engines to provide input methods for many languages, either by native modules
 (such as scim-pinyin and scim-hangul) or interfaces to other IM libraries
 (such as scim-anthy, scim-uim, scim-m17n, and scim-chewing).
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-gtk-immodule
Architecture: any
Multi-Arch: same
Depends:
 scim (= ${binary:Version}),
 scim-im-agent (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Enhances:
 scim,
Conflicts:
 scim-gtk2-immodule,
Provides:
 scim-gtk2-immodule,
Replaces:
 scim-gtk2-immodule,
Description: GTK input method module, with SCIM as the input backend
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package is the GTK native input method module for SCIM.  It provides
 a GTK IM module for versions 2, 3, and 4 of GTK, with SCIM as the input backend.
 This input method module should work within all GTK platforms, including
 gtk-x11, gtk-linuxfb and gtk-directfb.
 .
 The GTK IM module communicates with the SCIM backend through the IM agent
 provided by the scim-im-agent package.
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-im-agent
Architecture: any
Multi-Arch: foreign
Depends:
 scim-modules-socket (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Enhances:
 scim,
Conflicts:
 scim-bridge-agent,
Provides:
 scim-bridge-agent,
Description: IM agent for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package provides the IM agent for SCIM. SCIM provides various IM modules
 for Gtk program. The IM modules communicate with SCIM through the
 IM agent.
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-modules-socket
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Enhances:
 scim,
Description: socket modules for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package provides the socket modules for SCIM.  SCIM can use a local or
 inet socket as the front end and connect to the configuration and IM engine
 modules.  Then other computers and/or environments can share these input
 methods by connecting to the socket with socket IM engine module and socket
 configure module.
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-dev
Architecture: all
Section: devel
Depends:
 libscim-dev (>= ${source:Version}),
 scim-dev-doc (= ${source:Version}),
 ${misc:Depends},
Description: development files for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package is a metapackage to provide development libraries and
 documentations for SCIM platform.
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-dev-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 libjs-jquery,
Description: development documentation for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package contains doxygen-generated HTML development documentation
 for SCIM APIs.
 .
 For more information about SCIM and SCIM development, please see the
 description of scim and scim-dev packages.
