=== debian/watch ===
Version: 5

Source: https://github.com/scim-im/scim.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 1.4.18+git%cd
