## scim 1.4.18-2

=== debian/changelog ===
scim (1.4.18-2-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 14 Nov 2022 17:48:38 +0800
